List capital account transactions

List transactions belonging to a capital account.

Required permissions: account:read, transaction:list.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
The ID of the Capital Account.

Headers

X-Penny-As-Businessstring or nullOptional

Act on behalf of another business that has granted you access. Requires the business:act_as permission.

Query parameters

page_sizeintegerOptional1-3000Defaults to 100
Maximum number of results to return per page. Defaults to 100.
next_page_tokenstring or nullOptional
Pagination key used to retrieve the next page of results.
stage_time_greater_than_equal_tostring or nullOptional
Lower time bound for Stage Time, inclusive.
stage_time_greater_thanstring or nullOptional
Lower time bound for Stage Time, exclusive.
stage_time_equal_tostring or nullOptional
Exact timestamp for Stage Time.
stage_time_less_than_equal_tostring or nullOptional
Upper time bound for Stage Time, inclusive.
stage_time_less_thanstring or nullOptional
Upper time bound for Stage Time, exclusive.

Response

A paginated list of transactions.
itemslist of objects
The list of items returned by the API.
countinteger
The total number of items returned in this response.
next_page_tokenstring or nullOptional
A token for retrieving the next page of results, if applicable.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error